summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2023-04-28 00:40:55 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-04-29 18:11:38 +0700
commit22243c3bbffab1dd7430995670e6544f1b4bb873 (patch)
treefee10a764456b496f165742709342b3a7a154fd9
parent268eb9977eb27dbcdbbfcf64963f18cebde58a5a (diff)
downloadslackbuilds-22243c3bbffab1dd7430995670e6544f1b4bb873.tar.gz
slackbuilds-22243c3bbffab1dd7430995670e6544f1b4bb873.tar.xz
system/apple-fonts-Garamond: Added (Apple fonts Garamond)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/apple-fonts-Garamond/README1
-rw-r--r--system/apple-fonts-Garamond/apple-fonts-Garamond.SlackBuild65
-rw-r--r--system/apple-fonts-Garamond/apple-fonts-Garamond.info20
-rw-r--r--system/apple-fonts-Garamond/doinst.sh10
-rw-r--r--system/apple-fonts-Garamond/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/apple-fonts-Garamond/README b/system/apple-fonts-Garamond/README
new file mode 100644
index 0000000000..1917281d65
--- /dev/null
+++ b/system/apple-fonts-Garamond/README
@@ -0,0 +1 @@
+Apple fonts Garamond from the Macbuntu project
diff --git a/system/apple-fonts-Garamond/apple-fonts-Garamond.SlackBuild b/system/apple-fonts-Garamond/apple-fonts-Garamond.SlackBuild
new file mode 100644
index 0000000000..157e2129e5
--- /dev/null
+++ b/system/apple-fonts-Garamond/apple-fonts-Garamond.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+# Slackware build script for <apple-fonts-Garamond>
+
+# Copyright 2023 Petar Petrov slackalaxy at gmail dot com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=apple-fonts-Garamond
+VERSION=${VERSION:-r134}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a $CWD/*.ttf $PKG/usr/share/fonts/TTF
+
+# just in case...
+chmod 0644 $PKG/usr/share/fonts/TTF/*.ttf
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/apple-fonts-Garamond/apple-fonts-Garamond.info b/system/apple-fonts-Garamond/apple-fonts-Garamond.info
new file mode 100644
index 0000000000..c6d5b299ba
--- /dev/null
+++ b/system/apple-fonts-Garamond/apple-fonts-Garamond.info
@@ -0,0 +1,20 @@
+PRGNAM="apple-fonts-Garamond"
+VERSION="r134"
+HOMEPAGE="https://svn.code.sf.net/p/macbuntu/code/Macbuntu/fonts/mac/"
+DOWNLOAD="https://svn.code.sf.net/p/macbuntu/code/Macbuntu/fonts/mac/AppleGaramond-Bold.ttf \
+ https://svn.code.sf.net/p/macbuntu/code/Macbuntu/fonts/mac/AppleGaramond-BoldItalic.ttf \
+ https://svn.code.sf.net/p/macbuntu/code/Macbuntu/fonts/mac/AppleGaramond-Italic.ttf \
+ https://svn.code.sf.net/p/macbuntu/code/Macbuntu/fonts/mac/AppleGaramond-Light.ttf \
+ https://svn.code.sf.net/p/macbuntu/code/Macbuntu/fonts/mac/AppleGaramond-LightItalic.ttf \
+ https://svn.code.sf.net/p/macbuntu/code/Macbuntu/fonts/mac/AppleGaramond.ttf"
+MD5SUM="346fa14b194dad9647d42211814c98f5 \
+ cf04f734682e4c72839cc42cd99a5f97 \
+ e9c53ae71e1d09a3ec2ce3842d6c23c6 \
+ d4244fd536be2c4de94a657a0017fcac \
+ 6d07c4444583832c7cf4e1d1547766d9 \
+ a6f12191d6abbba09d3ed0fd81b128bb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/system/apple-fonts-Garamond/doinst.sh b/system/apple-fonts-Garamond/doinst.sh
new file mode 100644
index 0000000000..5dfeb031b9
--- /dev/null
+++ b/system/apple-fonts-Garamond/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/apple-fonts-Garamond/slack-desc b/system/apple-fonts-Garamond/slack-desc
new file mode 100644
index 0000000000..af692f5286
--- /dev/null
+++ b/system/apple-fonts-Garamond/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+apple-fonts-Garamond: apple-fonts-Garamond (Apple fonts Garamond)
+apple-fonts-Garamond:
+apple-fonts-Garamond: Apple fonts Garamond from Macbuntu.
+apple-fonts-Garamond:
+apple-fonts-Garamond:
+apple-fonts-Garamond:
+apple-fonts-Garamond:
+apple-fonts-Garamond:
+apple-fonts-Garamond:
+apple-fonts-Garamond:
+apple-fonts-Garamond: